## org.codehaus.groovy.util
Class AbstractConcurrentMap<K,V>

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap<K,V>

Direct Known Subclasses:
  ManagedConcurrentMap

    public abstract class AbstractConcurrentMap<K,V>

extends AbstractConcurrentMapBase

Nested Class Summary
`protected static interface` `AbstractConcurrentMap.Entry<K,V>`
`protected static class` `AbstractConcurrentMap.Segment<K,V>`

Field Summary

Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`MAXIMUM_CAPACITY, segments`

Constructor Summary
`AbstractConcurrentMap(Object segmentInfo)`

Method Summary
`V` `get(K key)`
`AbstractConcurrentMap.Entry<K,V>` `getOrPut(K key, V value)`
`void` `put(K key, V value)`
`void` `remove(K key)`
`AbstractConcurrentMap.Segment` `segmentFor(int hash)`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`createSegment, fullSize, hash, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractConcurrentMap

    public AbstractConcurrentMap(Object segmentInfo)

Method Detail

### segmentFor

    public AbstractConcurrentMap.Segment segmentFor(int hash)

  Overrides:
    `segmentFor` in class `AbstractConcurrentMapBase`

### get

    public V get(K key)

### getOrPut

    public AbstractConcurrentMap.Entry<K,V> getOrPut(K key,
                                                     V value)

### put

    public void put(K key,
                    V value)

### remove

    public void remove(K key)

Copyright © 2003-2009 The Codehaus. All rights reserved.